"use client";
import { getTimezoneOffsetInMilliseconds as r } from "./_lib/getTimezoneOffsetInMilliseconds.js";
import { normalizeDates as c } from "./_lib/normalizeDates.js";
import { millisecondsInDay as D } from "./constants.js";
import { startOfDay as a } from "./startOfDay.js";
function O(n, o, i) {
  const [s, m] = c(
    i?.in,
    n,
    o
  ), t = a(s), e = a(m), l = +t - r(t), f = +e - r(e);
  return Math.round((l - f) / D);
}
export {
  O as default,
  O as differenceInCalendarDays
};
